33 geniale Contao-Erweiterungen, die du kennen solltest! - Contao Academy
Ergebnis 1 bis 6 von 6

Thema: Paketverwaltung in Contao 3.5 bleibt beim aktualisieren hängen.

  1. #1
    Contao-Nutzer
    Registriert seit
    22.01.2013.
    Beiträge
    52

    Frage Paketverwaltung in Contao 3.5 bleibt beim aktualisieren hängen.

    Hallo in das Forum, ich habe leider mal wieder ein Problem beim Pakete-aktualisieren unter Contao 3.5.35. Ich wollte eine Erweiterung installieren, und beim Pakete-aktualisieren blieb die Paketverwaltung nach etwa einer Minute einfach hängen. Hier die Meldung:
    Code:
      $ /usr/bin/env php -d memory_limit=1G -d max_execution_time=900 composer.phar update --no-ansi --no-interaction --prefer-dist
    Loading composer repositories with package information
    Updating dependencies (including require-dev
    . Außerdem bekomme ich von Uberspace, meinem Hoster, nach dem Paket-Update jedes Mal eine Critical-Mail, dass meine PHP-Prozesse beendet werden mussten, weil zu viel Speicher verbraucht wurde. Mein Composer läuft als eigenständiger Prozess, ist aktuell, gerade manuell aktualisiert, und steht beim Auswählen der Paket-Versionen auf "stabil". Ich bin gerade etwas ratlos, weil ich ja Stand jetzt keine Erweiterungen mehr installieren kann und wäre für Tipps dankbar. Ach so, PHP-Version ist 5.6.30.
    Danke und Grüße.

  2. #2
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    21.769
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Benutzer lieber PHP 7.1 für das composer update. Falls du die Contao Installation selbst weiterhin auf PHP 5.6 laufen lassen musst, musst du einen entsprechenden config Eintrag in der composer.json machen.

  3. #3
    Contao-Nutzer
    Registriert seit
    22.01.2013.
    Beiträge
    52

    Standard

    Hallo Spooky, vielen Dank, das PHP-Update auf 7.1 war die Lösung. Jetzt läuft alles reibungslos und wunderbar schnell. Nur mal informativ: Es gibt mittlerweile ja schon PHP 7.2. Läuft der Composer damit auch flüssig? Uberspace bietet das auch an. Hat das für Contao bzw. die Paketverwaltung irgendwelche Vorteile?

    Danke und Grüße.

    Michael

  4. #4
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    21.769
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    Ja, läuft evt noch ein paar Millisekunden schneller

  5. #5
    Contao-Fan Avatar von Stefko
    Registriert seit
    25.10.2012.
    Ort
    Karlsruhe
    Beiträge
    586
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von Spooky Beitrag anzeigen
    Benutzer lieber PHP 7.1 für das composer update. Falls du die Contao Installation selbst weiterhin auf PHP 5.6 laufen lassen musst, musst du einen entsprechenden config Eintrag in der composer.json machen.
    Ich vermute in der composer.json im Root der Seite oder doch in der /composer/composer.json?
    Und wie müsste der entsprechende Eintrag aussehen?

    Danke
    Grüße, Stefko

  6. #6
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    21.769
    Partner-ID
    10107
    User beschenken
    Wunschliste

    Standard

    In der /composer/composer.json
    Code:
    {
        "config": {
            "platform": {
                "php": "5.6.26"
            }
        }
    }

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •